---
title: "Windows tiling in KDE Plasma 5"
date: 2024-08-08T16:04:20Z
draft: false
toc: false
images:
tags:
  - Linux
  - KDE
  - Plasma
  - productivity
---
KDE Plasma 5 introduced a (more or less) advanced window tiling manager. Most of
the time I use `META` plus one or two of the arrow keys to move windows quickly
to one half or one quarter of the screen. Plasma's advanced tiling manager
enables us to use layouts that are not defined by half or quarter of the screen
real estate.

I keep forgetting how to use this, so this is my note to self:

- Define layout: `META+T`
- Move window to predefined location: hold `SHIFT` while dragging the title bar
  of a window with the mouse, or press `META`, klick anywhere into the window
  and start dragging, _then_ while still holding `META`, additionally press
  `SHIFT` to make the window snap to one of the predefined layout.

Link: <https://kde.org/announcements/plasma/5/5.27.0/>
